package com.acme.client;

import java.io.IOException;

import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;

import com.acme.ejbremote.services.AlohaService;

@WebServlet(name = "servlet1", urlPatterns = { "/servlet1" })
public class HelloWorldServlet extends HttpServlet {

	private static final long serialVersionUID = -5264233366604574848L;

	private static final Logger logger = Logger.getLogger(HelloWorldServlet.class.getName());

	@EJB
	AlohaService as;

	public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		String helloWorld = as.getHelloWorld();
		logger.info("Hello from client:" + helloWorld);

	}

	public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		doGet(request, response);
	}

}
